cpu_raw_data_t(3)

NAME
cpu_raw_data_t - Contains just the raw CPUID data.

SYNOPSIS

#include <libcpuid.h>

  Data Fields
uint32_t basic_cpuid [MAX_CPUID_LEVEL][4]
uint32_t ext_cpuid [MAX_EXT_CPUID_LEVEL][4]
uint32_t intel_fn4 [MAX_INTELFN4_LEVEL][4]
uint32_t intel_fn11 [MAX_INTELFN11_LEVEL][4]

Detailed Description

Contains just the raw CPUID data. This contains only the most basic CPU data, required to do identification and feature recognition. Every processor should be identifiable using this data only.

Field Documentation

  uint32_t cpu_raw_data_t::basic_cpuid[MAX_CPUID_LEVEL][4]
contains results of CPUID for eax = 0, 1, ...

  uint32_t cpu_raw_data_t::ext_cpuid[MAX_EXT_CPUID_LEVEL][4]
contains results of CPUID for eax = 0x80000000, 0x80000001, ...

  uint32_t cpu_raw_data_t::intel_fn11[MAX_INTELFN11_LEVEL][4]
when the CPU is intel and it supports leaf 0Bh (Extended Topology enumeration leaf), this stores the result of CPUID with eax = 11 and ecx = 0, 1, 2...

  uint32_t cpu_raw_data_t::intel_fn4[MAX_INTELFN4_LEVEL][4]
when the CPU is intel and it supports deterministic cache information: this contains the results of CPUID for eax = 4 and ecx = 0, 1, ...

Author

Generated automatically by Doxygen for libcpuid from the source code.